# Easter-eggs Web test python library

This python library provide common stuff to implement web tests based on python3 Selenium library.

This library provide:

- an easy way to handle command line arguments (using `argparse`)
- an easy way to manage a INI style configuration file
- an initialized Selenium Chromium driver
- the `locate` method that provide an easy way to locate an element on the page. With accepted
  parameters, you also could:
  - wait the element is non-empty (passing `non_empty=True`)
  - click on the element (passing `click=True`)
  - fill an input field and submit form (passing `value` parameter, automatic submission could be
    disabled by passing `submit=False`)
- the `sso_login` method that manage the authentication on an Authentic2 based IDP
- the `clean_exit` method to properly generated output as expected by Icinga/Nagios

## Example

See `example` directory (in `/usr/share/doc/python3-eewebtests` on Debian based system) for an
example to check SSO SAML2 login on a Sentry instance.

## Copyright

Copyright (c) 2024 Easter-eggs

## License

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3
as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
